import 'package:didvan/constants/assets.dart';
import 'package:didvan/views/widgets/state_handlers/empty_state.dart';
import 'package:flutter/material.dart';

class EmptyConnection extends StatelessWidget {
  final VoidCallback onRetry;
  const EmptyConnection({Key? key, required this.onRetry}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return EmptyState(
      asset: Assets.emptyConnection,
      title: 'ارتباط با اینترنت قطع شد...',
      action: onRetry,
      buttonTitle: 'تلاش دوباره',
    );
  }
}
